DataTransferDBManager (The Data Transfer Agent Service 2.1.0-3.3.0 API)
Date: 2014-07-19

org.gcube.datatransfer.agent.impl.db

## Class DataTransferDBManager

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.db.DBManager
  - - org.gcube.datatransfer.agent.impl.db.DataTransferDBManager

- All Implemented Interfaces:
    Runnable

      public class DataTransferDBManager
      extends DBManager
      implements Runnable

  Author:
    Andrea Manzi(CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.datatransfer.agent.impl.db.DBManager

      `DBManager.BaseConsumer`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.datatransfer.agent.impl.db.DBManager

      `backupFolder, backupIntervalMS, dbFileBaseFolder, dbFileName, dbName, persistenceFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTransferDBManager()` Default constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransferObjectCompleted(String objId)`
    `boolean` | `checkIfTransferExist(String id)`
    `javax.jdo.PersistenceManager` | `getPersistenceManager()`
    `ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome>` | `getTransferObjectOutCome(String transferId)`
    `String` | `getTransferObjectOutComeAsRS(String transferId)`
    `String` | `getTransferStatus(String transferId)`
    `org.gcube.datatransfer.common.outcome.TreeTransferOutcome` | `getTransferTreeOutCome(String transferId)`
    `org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferReportMessage` | `getTrasferProgress(String transferId)`
    `org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage` | `getTrasferProgressType(String transferId)`
    `void` | `run()` (non-Javadoc)
    `void` | `storeTransfer(Transfer transfer)`
    `void` | `storeTransferObject(Set<TransferObject> transferObjects)`
    `void` | `updateLastNotificationMsgSent(String transferId, boolean value)`
    `void` | `updateReadTreesInTransfer(String transferId, int val)`
    `void` | `updateTransfer(String id)`
    `void` | `updateTransferJDO(String transferId, String[] inputURIs, long totalsize)`
    `void` | `updateTransferObjectInfo(String objId, long size)`
    `void` | `updateTransferObjectStatus(String objId, String status)`
    `void` | `updateTransferSubmitterEndpoint(String transferId, String submitterEndpoint)`
    `void` | `updateWrittenTreesInTransfer(String transferId, int val)`

    - ### Methods inherited from class org.gcube.datatransfer.agent.impl.db.DBManager

      `backup, close, queryJSON, quote, toJSon, zipFolder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTransferDBManager

          public DataTransferDBManager()
                                throws Exception

      Default constructor
      Throws:
        `Exception`

  - ### Method Detail

    - #### checkIfTransferExist

          public boolean checkIfTransferExist(String id)
                                       throws Exception

      Parameters:
        `Transfer` -
        `transferObjects` -
      Throws:
        `Exception`

    - #### storeTransfer

          public void storeTransfer(Transfer transfer)
                             throws Exception

      Throws:
        `Exception`

    - #### updateTransfer

          public void updateTransfer(String id)
                              throws Exception

      Throws:
        `Exception`

    - #### storeTransferObject

          public void storeTransferObject(Set<TransferObject> transferObjects)
                                   throws Exception

      Throws:
        `Exception`

    - #### updateTransferSubmitterEndpoint

          public void updateTransferSubmitterEndpoint(String transferId,
                                             String submitterEndpoint)
                                               throws Exception

      Throws:
        `Exception`

    - #### updateLastNotificationMsgSent

          public void updateLastNotificationMsgSent(String transferId,
                                           boolean value)
                                             throws Exception

      Throws:
        `Exception`

    - #### getTransferStatus

          public String getTransferStatus(String transferId)
                                   throws Exception

      Throws:
        `Exception`

    - #### updateTransferObjectStatus

          public void updateTransferObjectStatus(String objId,
                                        String status)
                                          throws Exception

      Throws:
        `Exception`

    - #### updateReadTreesInTransfer

          public void updateReadTreesInTransfer(String transferId,
                                       int val)
                                         throws Exception

      Throws:
        `Exception`

    - #### updateWrittenTreesInTransfer

          public void updateWrittenTreesInTransfer(String transferId,
                                          int val)
                                            throws Exception

      Throws:
        `Exception`

    - #### updateTransferObjectInfo

          public void updateTransferObjectInfo(String objId,
                                      long size)
                                        throws Exception

      Throws:
        `Exception`

    - #### addTransferObjectCompleted

          public void addTransferObjectCompleted(String objId)
                                          throws Exception

      Throws:
        `Exception`

    - #### updateTransferJDO

          public void updateTransferJDO(String transferId,
                               String[] inputURIs,
                               long totalsize)
                                 throws Exception

      Throws:
        `Exception`

    - #### run

          public void run()

      (non-Javadoc)
      Specified by:
        `run` in interface `Runnable`
      See Also:
        `Runnable.run()`

    - #### getPersistenceManager

          public javax.jdo.PersistenceManager getPersistenceManager()

    - #### getTransferObjectOutComeAsRS

          public String getTransferObjectOutComeAsRS(String transferId)
                                              throws Exception

      Throws:
        `Exception`

    - #### getTransferObjectOutCome

          public ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> getTransferObjectOutCome(String transferId)
                                                                                                        throws Exception

      Throws:
        `Exception`

    - #### getTransferTreeOutCome

          public org.gcube.datatransfer.common.outcome.TreeTransferOutcome getTransferTreeOutCome(String transferId)
                                                                                           throws Exception

      Throws:
        `Exception`

    - #### getTrasferProgress

          public org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferReportMessage getTrasferProgress(String transferId)

    - #### getTrasferProgressType

          public org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage getTrasferProgressType(String transferId)

Copyright © 2014. All Rights Reserved.